git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: "Johannes Schindelin via GitGitGadget" <gitgitgadget@gmail.com>
To: git@vger.kernel.org
Cc: Junio C Hamano <gitster@pobox.com>,
	Johannes Schindelin <johannes.schindelin@gmx.de>
Subject: [PATCH v3 09/21] Add a build definition for Azure DevOps
Date: Wed, 16 Jan 2019 05:36:19 -0800 (PST)	[thread overview]
Message-ID: <ddee8ecd8a74de87339870f756d95913f086491c.1547645770.git.gitgitgadget@gmail.com> (raw)
In-Reply-To: <pull.31.v3.git.gitgitgadget@gmail.com>

From: Johannes Schindelin <johannes.schindelin@gmx.de>

This commit adds an azure-pipelines.yml file which is Azure DevOps'
equivalent to Travis CI's .travis.yml.

To make things a bit easier to understand, we refrain from using the
`matrix` feature here because (while it is powerful) it can be a bit
confusing to users who are not familiar with CI setups. Therefore, we
use a separate phase even for similar configurations (such as GCC vs
Clang on Linux, GCC vs Clang on macOS).

Also, we make use of the shiny new feature we just introduced where the
test suite can output JUnit-style .xml files. This information is made
available in a nice UI that allows the viewer to filter by phase and/or
test number, and to see trends such as: number of (failing) tests, time
spent running the test suite, etc.

Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de>
---
 azure-pipelines.yml   | 306 ++++++++++++++++++++++++++++++++++++++++++
 ci/lib.sh             |   2 +-
 ci/mount-fileshare.sh |  25 ++++
 3 files changed, 332 insertions(+), 1 deletion(-)
 create mode 100644 azure-pipelines.yml
 create mode 100755 ci/mount-fileshare.sh

diff --git a/azure-pipelines.yml b/azure-pipelines.yml
new file mode 100644
index 0000000000..f3cabb0dd0
--- /dev/null
+++ b/azure-pipelines.yml
@@ -0,0 +1,306 @@
+resources:
+- repo: self
+  fetchDepth: 1
+
+jobs:
+- job: linux_clang
+  displayName: linux-clang
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo apt-get update &&
+       sudo apt-get -y install git gcc make libssl-dev libcurl4-openssl-dev libexpat-dev tcl tk gettext git-email zlib1g-dev apache2-bin &&
+
+       export CC=clang || exit 1
+
+       ci/install-dependencies.sh || exit 1
+       ci/run-build-and-tests.sh || {
+           ci/print-test-failures.sh
+           exit 1
+       }
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-build-and-tests.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'linux-clang'
+      platform: Linux
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: linux_gcc
+  displayName: linux-gcc
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo add-apt-repository ppa:ubuntu-toolchain-r/test &&
+       sudo apt-get update &&
+       sudo apt-get -y install git gcc make libssl-dev libcurl4-openssl-dev libexpat-dev tcl tk gettext git-email zlib1g-dev apache2 language-pack-is git-svn gcc-8 || exit 1
+
+       ci/install-dependencies.sh || exit 1
+       ci/run-build-and-tests.sh || {
+           ci/print-test-failures.sh
+           exit 1
+       }
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-build-and-tests.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'linux-gcc'
+      platform: Linux
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: osx_clang
+  displayName: osx-clang
+  condition: succeeded()
+  pool: Hosted macOS
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       export CC=clang
+
+       ci/install-dependencies.sh || exit 1
+       ci/run-build-and-tests.sh || {
+           ci/print-test-failures.sh
+           exit 1
+       }
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-build-and-tests.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'osx-clang'
+      platform: macOS
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: osx_gcc
+  displayName: osx-gcc
+  condition: succeeded()
+  pool: Hosted macOS
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       ci/install-dependencies.sh || exit 1
+       ci/run-build-and-tests.sh || {
+           ci/print-test-failures.sh
+           exit 1
+       }
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-build-and-tests.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'osx-gcc'
+      platform: macOS
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: gettext_poison
+  displayName: GETTEXT_POISON
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo apt-get update &&
+       sudo apt-get -y install git gcc make libssl-dev libcurl4-openssl-dev libexpat-dev tcl tk gettext git-email zlib1g-dev &&
+
+       export jobname=GETTEXT_POISON || exit 1
+
+       ci/run-build-and-tests.sh || {
+           ci/print-test-failures.sh
+           exit 1
+       }
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-build-and-tests.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'gettext-poison'
+      platform: Linux
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: windows
+  displayName: Windows
+  condition: succeeded()
+  pool: Hosted
+  timeoutInMinutes: 240
+  steps:
+  - powershell: |
+      if ("$GITFILESHAREPWD" -ne "" -and "$GITFILESHAREPWD" -ne "`$`(gitfileshare.pwd)") {
+        net use s: \\gitfileshare.file.core.windows.net\test-cache "$GITFILESHAREPWD" /user:AZURE\gitfileshare /persistent:no
+        cmd /c mklink /d "$(Build.SourcesDirectory)\test-cache" S:\
+      }
+    displayName: 'Mount test-cache'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - powershell: |
+      # Helper to check the error level of the latest command (exit with error when appropriate)
+      function c() { if (!$?) { exit(1) } }
+
+      # Add build agent's MinGit to PATH
+      $env:PATH = $env:AGENT_HOMEDIRECTORY +"\externals\\git\cmd;" +$env:PATH
+
+      # Helper to initialize (or update) a Git worktree
+      function init ($path, $url, $set_origin) {
+        if (Test-Path $path) {
+          cd $path; c
+          if (Test-Path .git) {
+            & git init; c
+          } else {
+            & git status
+          }
+        } else {
+          & git init $path; c
+          cd $path; c
+        }
+        & git config core.autocrlf false; c
+        & git config core.untrackedCache true; c
+        if (($set_origin -ne 0) -and !(git config remote.origin.url)) {
+          & git remote add origin $url; c
+        }
+        & git fetch --depth=1 $url master; c
+        & git reset --hard FETCH_HEAD; c
+        & git clean -df; c
+      }
+
+      # Initialize Git for Windows' SDK
+      $sdk_path = "$(Build.SourcesDirectory)\git-sdk-64"
+      init "$sdk_path" "https://dev.azure.com/git-for-windows/git-sdk-64/_git/git-sdk-64" 0
+
+      # Let Git ignore the SDK and the test-cache
+      "/git-sdk-64/`n/test-cache/`n" | Out-File -NoNewLine -Encoding ascii -Append "$(Build.SourcesDirectory)\.git\info\exclude"
+    displayName: 'Initialize the Git for Windows SDK'
+  - powershell: |
+      & "git-sdk-64\git-cmd.exe" --command=usr\\bin\\bash.exe -lc @"
+        export MAKEFLAGS=-j10
+        export DEVELOPER=1
+        export NO_PERL=1
+        export NO_SVN_TESTS=1
+        export GIT_TEST_SKIP_REBASE_P=1
+
+        ci/run-build-and-tests.sh || {
+          ci/print-test-failures.sh
+          exit 1
+        }
+      "@
+      if (!$?) { exit(1) }
+    displayName: 'Build & Test'
+    env:
+      HOME: $(Build.SourcesDirectory)
+      MSYSTEM: MINGW64
+  - powershell: |
+      if ("$GITFILESHAREPWD" -ne "" -and "$GITFILESHAREPWD" -ne "`$`(gitfileshare.pwd)") {
+        cmd /c rmdir "$(Build.SourcesDirectory)\test-cache"
+      }
+    displayName: 'Unmount test-cache'
+    condition: true
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'windows'
+      platform: Windows
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: linux32
+  displayName: Linux32
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo AGENT_OS="$AGENT_OS" BUILD_BUILDNUMBER="$BUILD_BUILDNUMBER" BUILD_REPOSITORY_URI="$BUILD_REPOSITORY_URI" BUILD_SOURCEBRANCH="$BUILD_SOURCEBRANCH" BUILD_SOURCEVERSION="$BUILD_SOURCEVERSION" SYSTEM_PHASENAME="$SYSTEM_PHASENAME" SYSTEM_TASKDEFINITIONSURI="$SYSTEM_TASKDEFINITIONSURI" SYSTEM_TEAMPROJECT="$SYSTEM_TEAMPROJECT" CC=$CC MAKEFLAGS=-j3 bash -lxc ci/run-linux32-docker.sh || exit 1
+
+       sudo chmod a+r t/out/TEST-*.xml
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-linux32-docker.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+  - task: PublishTestResults@2
+    displayName: 'Publish Test Results **/TEST-*.xml'
+    inputs:
+      mergeTestResults: true
+      testRunTitle: 'linux32'
+      platform: Linux
+      publishRunAttachments: false
+    condition: succeededOrFailed()
+
+- job: static_analysis
+  displayName: StaticAnalysis
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo apt-get update &&
+       sudo apt-get install -y coccinelle &&
+
+       export jobname=StaticAnalysis &&
+
+       ci/run-static-analysis.sh || exit 1
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/run-static-analysis.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
+
+- job: documentation
+  displayName: Documentation
+  condition: succeeded()
+  pool: Hosted Ubuntu 1604
+  steps:
+  - bash: |
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || ci/mount-fileshare.sh //gitfileshare.file.core.windows.net/test-cache gitfileshare "$GITFILESHAREPWD" "$HOME/test-cache" || exit 1
+
+       sudo apt-get update &&
+       sudo apt-get install -y asciidoc xmlto asciidoctor &&
+
+       export ALREADY_HAVE_ASCIIDOCTOR=yes. &&
+       export jobname=Documentation &&
+
+       ci/test-documentation.sh || exit 1
+
+       test "$GITFILESHAREPWD" = '$(gitfileshare.pwd)' || sudo umount "$HOME/test-cache" || exit 1
+    displayName: 'ci/test-documentation.sh'
+    env:
+      GITFILESHAREPWD: $(gitfileshare.pwd)
diff --git a/ci/lib.sh b/ci/lib.sh
index e560fae3aa..c5228c1547 100755
--- a/ci/lib.sh
+++ b/ci/lib.sh
@@ -42,7 +42,7 @@ then
 
 	BREW_INSTALL_PACKAGES=
 	export GIT_PROVE_OPTS="--timer --jobs 10 --state=failed,slow,save"
-	export GIT_TEST_OPTS="--quiet --write-junit-xml"
+	export GIT_TEST_OPTS="--verbose-log -x --write-junit-xml"
 fi
 
 skip_branch_tip_with_tag () {
diff --git a/ci/mount-fileshare.sh b/ci/mount-fileshare.sh
new file mode 100755
index 0000000000..26b58a8096
--- /dev/null
+++ b/ci/mount-fileshare.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+die () {
+	echo "$*" >&2
+	exit 1
+}
+
+test $# = 4 ||
+die "Usage: $0 <share> <username> <password> <mountpoint>"
+
+mkdir -p "$4" || die "Could not create $4"
+
+case "$(uname -s)" in
+Linux)
+	sudo mount -t cifs -o vers=3.0,username="$2",password="$3",dir_mode=0777,file_mode=0777,serverino "$1" "$4"
+	;;
+Darwin)
+	pass="$(echo "$3" | sed -e 's/\//%2F/g' -e 's/+/%2B/g')" &&
+	mount -t smbfs,soft "smb://$2:$pass@${1#//}" "$4"
+	;;
+*)
+	die "No support for $(uname -s)"
+	;;
+esac ||
+die "Could not mount $4"
-- 
gitgitgadget


  parent reply	other threads:[~2019-01-16 13:36 UTC|newest]

Thread overview: 225+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-03 21:10 [PATCH 0/9] Offer to run CI/PR builds in Visual Studio Team Services Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 1/9] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 2/9] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2018-09-03 23:43   ` Eric Sunshine
2018-09-04 11:04     ` Johannes Schindelin
2018-09-05 18:57   ` Sebastian Schuberth
2018-09-14 19:07     ` Johannes Schindelin
2018-09-03 21:10 ` [PATCH 3/9] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 4/9] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2018-09-04  0:43   ` Eric Sunshine
2018-09-04 10:59     ` Johannes Schindelin
2018-09-03 21:10 ` [PATCH 5/9] ci/lib.sh: add support for VSTS CI Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 6/9] Add a build definition for VSTS Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 7/9] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2018-09-04  4:30   ` Eric Sunshine
2018-09-04 11:09     ` Johannes Schindelin
2018-09-05  5:32       ` Luke Diamand
2018-09-05 12:39         ` Johannes Schindelin
2018-09-05 13:03           ` Luke Diamand
2018-09-14 18:46             ` Johannes Schindelin
2018-09-05 18:38           ` Eric Sunshine
2018-09-05 20:24             ` Jeff King
2018-09-14 19:04               ` Johannes Schindelin
2018-09-14 18:51             ` Johannes Schindelin
2018-09-03 21:10 ` [PATCH 8/9] tests: record more stderr with --write-junit-xml in case of failure Johannes Schindelin via GitGitGadget
2018-09-03 21:10 ` [PATCH 9/9] README: add a build badge (status of the VSTS build) Johannes Schindelin via GitGitGadget
2018-09-05 19:01 ` [PATCH 0/9] Offer to run CI/PR builds in Visual Studio Team Services Sebastian Schuberth
2018-09-05 19:08   ` Stefan Beller
2018-10-15 10:11 ` [PATCH v2 00/13] Offer to run CI/PR builds in Azure Pipelines Johannes Schindelin via GitGitGadget
2018-10-15 10:11   ` [PATCH v2 01/13] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2018-10-16  5:26     ` Junio C Hamano
2018-10-15 10:12   ` [PATCH v2 02/13] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2018-10-18 22:01     ` SZEDER Gábor
2018-10-19  2:06       ` Junio C Hamano
2018-10-19  8:25         ` SZEDER Gábor
2018-10-19  8:35           ` Junio C Hamano
2018-10-15 10:12   ` [PATCH v2 03/13] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2018-10-15 10:12   ` [PATCH v2 04/13] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2018-10-15 10:12   ` [PATCH v2 05/13] ci/lib.sh: add support for Azure Pipelines Johannes Schindelin via GitGitGadget
2018-10-16  9:43     ` SZEDER Gábor
2018-10-16 12:53       ` Johannes Schindelin
2018-10-15 10:12   ` [PATCH v2 06/13] Add a build definition for Azure DevOps Johannes Schindelin via GitGitGadget
2018-10-16  5:35     ` Junio C Hamano
2018-10-16  9:58       ` Johannes Schindelin
2018-10-16 19:12     ` SZEDER Gábor
2018-10-17 14:58       ` Johannes Schindelin
2018-10-15 10:12   ` [PATCH v2 07/13] tests: introduce `test_atexit` Johannes Schindelin via GitGitGadget
2018-10-21 11:20     ` SZEDER Gábor
2018-10-15 10:12   ` [PATCH v2 08/13] git-daemon: use `test_atexit` in the tests Johannes Schindelin via GitGitGadget
2018-10-15 10:12   ` [PATCH v2 09/13] git-p4: use `test_atexit` to kill the daemon Johannes Schindelin via GitGitGadget
2018-10-15 11:00     ` Luke Diamand
2018-10-15 15:02       ` Johannes Schindelin
2018-10-15 20:19         ` Luke Diamand
2018-10-16  9:39           ` Johannes Schindelin
2018-10-16  3:34     ` Eric Sunshine
2018-10-16  8:51       ` Johannes Schindelin
2018-10-17 23:29     ` SZEDER Gábor
2018-10-15 10:12   ` [PATCH v2 10/13] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2018-10-16 10:04     ` SZEDER Gábor
2018-10-16 13:02       ` Johannes Schindelin
2018-10-16 16:03         ` SZEDER Gábor
2018-10-16 20:53           ` Johannes Schindelin
2018-10-15 10:12   ` [PATCH v2 11/13] tests: record more stderr with --write-junit-xml in case of failure Johannes Schindelin via GitGitGadget
2018-10-15 10:12   ` [PATCH v2 12/13] README: add a build badge (status of the Azure Pipelines build) Johannes Schindelin via GitGitGadget
2018-10-16  3:44     ` Eric Sunshine
2018-10-16  8:48       ` Johannes Schindelin
2018-10-15 10:12   ` [PATCH v2 13/13] travis: fix skipping tagged releases Johannes Schindelin via GitGitGadget
2018-10-16  9:40     ` SZEDER Gábor
2018-10-16 12:45       ` Johannes Schindelin
2018-10-15 14:22   ` [PATCH v2 00/13] Offer to run CI/PR builds in Azure Pipelines Taylor Blau
2018-10-15 14:55     ` Johannes Schindelin
2018-10-16  2:53       ` Taylor Blau
2018-10-16 11:55         ` Ævar Arnfjörð Bjarmason
2018-10-16 10:30     ` SZEDER Gábor
2018-10-25  8:17   ` Junio C Hamano
2018-10-26  8:37     ` Johannes Schindelin
2019-01-16 14:04     ` Johannes Schindelin
2019-01-17 20:59       ` Junio C Hamano
2019-01-18 11:49         ` Johannes Schindelin
2019-01-16 13:36   ` [PATCH v3 00/21] " Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 01/21] travis: fix skipping tagged releases Johannes Schindelin via GitGitGadget
2019-01-17 20:55       ` Junio C Hamano
2019-01-18 10:05         ` Johannes Schindelin
2019-01-16 13:36     ` [PATCH v3 02/21] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 03/21] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 04/21] ci: inherit --jobs via MAKEFLAGS in run-build-and-tests Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 05/21] ci: use a junction on Windows instead of a symlink Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 06/21] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 07/21] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 08/21] ci/lib.sh: add support for Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` Johannes Schindelin via GitGitGadget [this message]
2019-01-16 13:36     ` [PATCH v3 10/21] ci: move the Windows job to the top Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 11/21] ci: use git-sdk-64-minimal build artifact Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 12/21] mingw: be more generous when wrapping up the setitimer() emulation Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 14/21] tests: avoid calling Perl just to determine file sizes Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 13/21] README: add a build badge (status of the Azure Pipelines build) Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 15/21] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2019-01-17 10:18       ` Johannes Schindelin
2019-01-16 13:36     ` [PATCH v3 16/21] mingw: try to work around issues with the test cleanup Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 17/21] tests: add t/helper/ to the PATH with --with-dashes Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 18/21] t0061: fix with --with-dashes and RUNTIME_PREFIX Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 20/21] ci: speed up Windows phase Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 19/21] tests: optionally skip bin-wrappers/ Johannes Schindelin via GitGitGadget
2019-01-16 13:36     ` [PATCH v3 21/21] ci: parallelize testing on Windows Johannes Schindelin via GitGitGadget
2019-01-23 14:40     ` [PATCH v4 00/21] Offer to run CI/PR builds in Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 01/21] travis: fix skipping tagged releases Johannes Schindelin via GitGitGadget
2019-01-23 22:00         ` Junio C Hamano
2019-01-23 14:40       ` [PATCH v4 02/21] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2019-01-23 22:01         ` Junio C Hamano
2019-01-23 14:40       ` [PATCH v4 03/21] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2019-01-23 22:19         ` Junio C Hamano
2019-01-26 18:37           ` Johannes Schindelin
2019-01-27 23:20             ` Junio C Hamano
2019-01-28 23:01               ` Johannes Schindelin
2019-01-28 23:05                 ` Junio C Hamano
2019-01-29  9:54                   ` Johannes Schindelin
2019-01-25 13:51         ` SZEDER Gábor
2019-01-27 21:22           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 04/21] ci: inherit --jobs via MAKEFLAGS in run-build-and-tests Johannes Schindelin via GitGitGadget
2019-01-23 22:22         ` Junio C Hamano
2019-01-25 13:25           ` SZEDER Gábor
2019-01-28 16:02             ` Johannes Schindelin
2019-01-26 18:48           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 05/21] ci: use a junction on Windows instead of a symlink Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 06/21] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2019-01-23 22:29         ` Junio C Hamano
2019-01-27 14:54           ` Johannes Schindelin
2019-01-27 23:14           ` Junio C Hamano
2019-01-28 18:49             ` Junio C Hamano
2019-01-23 14:40       ` [PATCH v4 07/21] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 09/21] Add a build definition for Azure DevOps Johannes Schindelin via GitGitGadget
2019-01-23 22:44         ` Junio C Hamano
2019-01-27 18:30           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 08/21] ci/lib.sh: add support for Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-23 22:40         ` Junio C Hamano
2019-01-27 18:26           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 10/21] ci: move the Windows job to the top Johannes Schindelin via GitGitGadget
2019-01-23 22:59         ` Junio C Hamano
2019-01-27 18:22           ` Johannes Schindelin
2019-01-23 23:07         ` Junio C Hamano
2019-01-27 19:05           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 11/21] ci: use git-sdk-64-minimal build artifact Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 12/21] mingw: be more generous when wrapping up the setitimer() emulation Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 13/21] README: add a build badge (status of the Azure Pipelines build) Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 14/21] tests: avoid calling Perl just to determine file sizes Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 15/21] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 16/21] mingw: try to work around issues with the test cleanup Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 17/21] tests: add t/helper/ to the PATH with --with-dashes Johannes Schindelin via GitGitGadget
2019-01-23 23:33         ` Junio C Hamano
2019-01-27 18:40           ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 19/21] tests: optionally skip bin-wrappers/ Johannes Schindelin via GitGitGadget
2019-01-23 14:40       ` [PATCH v4 18/21] t0061: fix with --with-dashes and RUNTIME_PREFIX Johannes Schindelin via GitGitGadget
2019-01-28  2:09         ` Junio C Hamano
2019-01-28 22:44           ` Johannes Schindelin
2019-01-28 23:00             ` Junio C Hamano
2019-01-29  9:55               ` Johannes Schindelin
2019-01-23 14:40       ` [PATCH v4 20/21] ci: speed up Windows phase Johannes Schindelin via GitGitGadget
2019-01-23 23:35         ` Junio C Hamano
2019-01-23 14:40       ` [PATCH v4 21/21] ci: parallelize testing on Windows Johannes Schindelin via GitGitGadget
2019-01-23 16:23       ` Fast CI for all branches in gitster/git, was Re: [PATCH v4 00/21] Offer to run CI/PR builds in Azure Pipelines Johannes Schindelin
2019-01-23 23:39       ` Junio C Hamano
2019-01-27 23:26       ` [PATCH v5 " Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 01/21] travis: fix skipping tagged releases Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 02/21] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 03/21] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 04/21] ci: inherit --jobs via MAKEFLAGS in run-build-and-tests Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 05/21] ci: use a junction on Windows instead of a symlink Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 06/21] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 07/21] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 08/21] ci/lib.sh: add support for Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 09/21] Add a build definition for Azure DevOps Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 10/21] ci: add a Windows job to the Azure Pipelines definition Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 11/21] ci: use git-sdk-64-minimal build artifact Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 12/21] mingw: be more generous when wrapping up the setitimer() emulation Johannes Schindelin via GitGitGadget
2019-01-27 23:26         ` [PATCH v5 13/21] README: add a build badge (status of the Azure Pipelines build) Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 14/21] tests: avoid calling Perl just to determine file sizes Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 15/21] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 16/21] mingw: try to work around issues with the test cleanup Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 17/21] tests: add t/helper/ to the PATH with --with-dashes Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 18/21] t0061: fix with --with-dashes and RUNTIME_PREFIX Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 19/21] tests: optionally skip bin-wrappers/ Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 20/21] ci: speed up Windows phase Johannes Schindelin via GitGitGadget
2019-01-27 23:27         ` [PATCH v5 21/21] ci: parallelize testing on Windows Johannes Schindelin via GitGitGadget
2019-01-29 14:19         ` [PATCH v6 00/21] Offer to run CI/PR builds in Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 01/21] travis: fix skipping tagged releases Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 02/21] ci: rename the library of common functions Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 03/21] ci/lib.sh: encapsulate Travis-specific things Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 04/21] ci: inherit --jobs via MAKEFLAGS in run-build-and-tests Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 05/21] ci: use a junction on Windows instead of a symlink Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 06/21] test-date: add a subcommand to measure times in shell scripts Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 07/21] tests: optionally write results as JUnit-style .xml Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 08/21] ci/lib.sh: add support for Azure Pipelines Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 09/21] Add a build definition for Azure DevOps Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 10/21] ci: add a Windows job to the Azure Pipelines definition Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 11/21] ci: use git-sdk-64-minimal build artifact Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 12/21] mingw: be more generous when wrapping up the setitimer() emulation Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 13/21] README: add a build badge (status of the Azure Pipelines build) Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 14/21] tests: avoid calling Perl just to determine file sizes Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 15/21] tests: include detailed trace logs with --write-junit-xml upon failure Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 17/21] tests: add t/helper/ to the PATH with --with-dashes Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 16/21] mingw: try to work around issues with the test cleanup Johannes Schindelin via GitGitGadget
2021-03-10 12:40             ` Ævar Arnfjörð Bjarmason
2021-03-19 14:20               ` Johannes Schindelin
2021-03-20 18:12                 ` Ævar Arnfjörð Bjarmason
2021-03-20 20:10                   ` Junio C Hamano
2021-03-24 12:01                   ` Johannes Schindelin
2021-03-24 21:20                     ` SZEDER Gábor
2021-03-24 22:57                       ` Ævar Arnfjörð Bjarmason
2021-03-26 19:54                         ` SZEDER Gábor
2019-01-29 14:19           ` [PATCH v6 18/21] t0061: workaround issues with --with-dashes and RUNTIME_PREFIX Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 19/21] tests: optionally skip bin-wrappers/ Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 20/21] ci: speed up Windows phase Johannes Schindelin via GitGitGadget
2019-01-29 14:19           ` [PATCH v6 21/21] ci: parallelize testing on Windows Johannes Schindelin via GitGitGadget
2018-10-15 15:06 ` [PATCH 0/9] Offer to run CI/PR builds in Visual Studio Team Services Ævar Arnfjörð Bjarmason
2018-10-15 15:42   ` Duy Nguyen
2018-10-15 16:17     ` Christian Couder
2018-10-15 18:33       ` Johannes Schindelin
2018-10-16  0:24         ` Christian Couder
2018-10-16  4:50         ` Junio C Hamano
2018-10-16  9:14           ` Ævar Arnfjörð Bjarmason
2018-10-18  2:03             ` Junio C Hamano
2018-10-19 10:40               ` Mirror of git.git on gitlab.com Ævar Arnfjörð Bjarmason
2018-10-22  5:41                 ` Junio C Hamano
2018-10-25  8:37                   ` Jeff King
2018-10-16  4:47   ` [PATCH 0/9] Offer to run CI/PR builds in Visual Studio Team Services Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=ddee8ecd8a74de87339870f756d95913f086491c.1547645770.git.gitgitgadget@gmail.com \
    --to=gitgitgadget@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=johannes.schindelin@gmx.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).